Preskočiť na obsah
ShopentlyLearn

Vymazať · Hodnoty možností — Varianty a možnosti

Natrvalo odstrániť definície a hodnoty variantov.

DELETE/api/v1/variant-options/{identity}/values/{value_id}

Požiadavka cURL

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/variant-options/example/values/example?expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-delete_variant_value_api_v1_variant_options__identity__values__value_id__delete'

Odpoveď

{
  "data": {
    "deleted": true,
    "id": "example",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

Požadované oprávnenia

Dostupné od plánu
STANDARD
Oprávnenie kľúča
Odstrániť variantycatalog.variant_option:delete